#!/bin/bash

package=cmake
version=-3.22.4

progname=$0

source ../../cascade-make/lib/cascade-lib.bash

prefix=$GEXTVIDEO_INSTALLED

export OPENSSL_ROOT_DIR=$GEXTVIDEO/build-srcpack/packages/openssl-1.1.1m

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version "$prefix"

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version



